### Method

# Ide DiagnosticProvider diagnose_finish

#### Declaration

    IdeDiagnostics*
    ide_diagnostic_provider_diagnose_finish (
      IdeDiagnosticProvider* self,
      GAsyncResult* result,
      GError** error
    )

#### Description

Completes an asynchronous request to diagnose a file.

Available since: | 3.32

#### Parameters

`result` | `GAsyncResult`
| No description available.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `IdeDiagnostics`
| An `IdeDiagnostics` or `NULL` and `error` is set.
| The caller of the method takes ownership of the data, and is responsible for freeing it.